/* Scrollbar for WebKit browsers (Chrome, Edge, Safari) */
::-webkit-scrollbar {
  width: 12px;
}

::-webkit-scrollbar-track {
  background: #f1f1f1; 
  border-radius: 10px;
}

::-webkit-scrollbar-thumb {
  background: linear-gradient(180deg, #6a11cb 0%, #2575fc 100%);
  border-radius: 10px;
  border: 2px solid #f1f1f1;
}

::-webkit-scrollbar-thumb:hover {
  background: linear-gradient(180deg, #4e0ec2 0%, #1b61e4 100%);
}

/* Firefox support */
* {
  scrollbar-width: thin;
  scrollbar-color: #6a11cb #f1f1f1;
}



.styled-table {
  width: 100%;
  border-collapse: collapse;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  font-size: 16px;
  box-shadow: 0 2px 20px rgba(0, 0, 0, 0.05);
  margin: 25px 0;
  background-color: #1f1f1f; /* dark background */
  color: #f1f1f1; /* light text */
  border-radius: 8px;
  overflow: hidden;
}

.styled-table thead tr {
  background-color: #292929;
  color: #ffffff;
  text-align: left;
  font-weight: bold;
}

.styled-table tbody tr:nth-child(even) {
  background-color: #2d2d2d;
  color: #ffffff;
  text-align: left;
  font-weight: bold;
}

.styled-table th,
.styled-table td {
  padding: 10px 10px;
  max-width: 20px;
  text-overflow: ellipsis;
  color: #fff;
  overflow: hidden;
}

.styled-table tbody tr {
  border-bottom: 1px solid #333333;
  transition: background-color 0.3s ease;
}

.styled-table tbody tr:hover {
  background-color: #525050;
}

.status {
  padding: 4px 10px;
  border-radius: 4px;
  font-size: 14px;
  font-weight: 600;
}

.status.active {
  background-color: #28a745;
  color: #fff;
}

.status.inactive {
  background-color: #dc3545;
  color: #fff;
}


.graph-data-1{
  width: 100%;
  color: #2d2d2d; /* light text */
  border-radius: 8px;
  padding: 2px;
  box-shadow: 0 2px 20px rgba(0, 0, 0, 0.05);
}

.graph-data-1 div {
  width: 50px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.graph-data-1 div button {
    background-color: #343434;
    color: #fff;
    padding: 0.5em;
    margin: 0 3px 0 6px

}

.spin-smooth {
  animation: spin 1s linear infinite;
  transform-origin: center;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
